net.sf.jasperreports.engine.query

## Class JRAbstractQueryExecuter.QueryParameter

- java.lang.Object
- - net.sf.jasperreports.engine.query.JRAbstractQueryExecuter.QueryParameter

- All Implemented Interfaces:
    JRAbstractQueryExecuter.QueryParameterEntry
  Enclosing class:
    JRAbstractQueryExecuter

      protected static class JRAbstractQueryExecuter.QueryParameter
      extends java.lang.Object
      implements JRAbstractQueryExecuter.QueryParameterEntry

  A parameter present in the query.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `COUNT_SINGLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRAbstractQueryExecuter.QueryParameter(java.lang.String name)`
    `JRAbstractQueryExecuter.QueryParameter(java.lang.String name, int count)`
    `JRAbstractQueryExecuter.QueryParameter(java.lang.String name, int count, boolean ignoreNulls)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(JRAbstractQueryExecuter.QueryParameterVisitor visitor)`
    `int` | `getCount()` Returns the number of parameter values.
    `java.lang.String` | `getName()` Returns the name of the report parameter.
    `boolean` | `isIgnoreNulls()`
    `boolean` | `isMulti()` Decides whether the parameter has multiple values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COUNT_SINGLE

          protected static final int COUNT_SINGLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRAbstractQueryExecuter.QueryParameter

          public JRAbstractQueryExecuter.QueryParameter(java.lang.String name)

    - #### JRAbstractQueryExecuter.QueryParameter

          public JRAbstractQueryExecuter.QueryParameter(java.lang.String name,
                                                int count)

    - #### JRAbstractQueryExecuter.QueryParameter

          public JRAbstractQueryExecuter.QueryParameter(java.lang.String name,
                                                int count,
                                                boolean ignoreNulls)

  - ### Method Detail

    - #### isMulti

          public boolean isMulti()

      Decides whether the parameter has multiple values.
      Returns:
        whether the parameter has multiple values.

    - #### getCount

          public int getCount()

      Returns the number of parameter values.
      Returns:
        the number of parameter values
      See Also:
        `isMulti()`

    - #### getName

          public java.lang.String getName()

      Returns the name of the report parameter.
      Returns:
        the name of the report parameter

    - #### isIgnoreNulls

          public boolean isIgnoreNulls()

      Returns:
        a flag indicating if the null values in a multiparameter value should be ignored

    - #### accept

          public void accept(JRAbstractQueryExecuter.QueryParameterVisitor visitor)
                      throws JRAbstractQueryExecuter.VisitExceptionWrapper

      Specified by:
        `accept` in interface `JRAbstractQueryExecuter.QueryParameterEntry`
      Throws:
        `JRAbstractQueryExecuter.VisitExceptionWrapper`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com